/* start main section */
.blog-info.main-blog {
    padding: 180px 0;
    background: url(../../images/blog-bg_ar.png) center center;
    background-size: 100% 100%;
    position: relative;
    display: flex;
    justify-content: start;
    color: white;
    position: relative;
}

@media (max-width:768px) {
    .blog-info.main-blog {
        background-size: cover;
        background-position: center center;
    }
}

.blog-info h3 {
    color: var(--second-Webcolor);
}

/* End main section */

/* start aside css  */
.blog-aside {
    box-shadow: 0 12px 35px rgba(0, 0, 0, 0.1);
    height: fit-content;
}

.last-blog {
    margin-top: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.last-blog img {
    height: 80px;
    aspect-ratio: 1/1;
    object-fit: contain;
}

.last-iamge {
    position: relative;
}

.last-iamge::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    transform: scaleX(1.2) scaleY(1.05);
    border-top: 3px solid var(--second-Webcolor);
    border-bottom: 3px solid var(--second-Webcolor);
    left: 0;
    top: 0;
    transition: .3s;

}

.last-iamge::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    transform: scale(1.1);
    border-right: 3px solid var(--second-Webcolor);
    border-left: 3px solid var(--second-Webcolor);
    left: 0;
    top: 0;
    transition: .5s;
}

.blog-div:hover .last-iamge::after {
    transform: scaleX(1.2) scaleY(1.1);
}

/* .card:hover .position-relative::before,
.sidebar .item:hover .position-relative::before {
    transform: scale(1.1);
}

.card:hover .position-relative::after,
.sidebar .item:hover .position-relative::after {
    transform: scaleX(1.2) scaleY(1.1);
} */
.last-blog .title {
    -webkit-line-clamp: 1;
    display: -webkit-box;
    overflow-y: clip;
    -webkit-box-orient: vertical;
    color: var(--main-Webcolor);
}

.last-blog p {
    -webkit-line-clamp: 2;
    display: -webkit-box;
    overflow-y: clip;
    -webkit-box-orient: vertical;
    margin-bottom: 0;
}

.sidebar-head {
    background-color: #f9f4f4;
    text-align: center;
    box-shadow: -6px 6px #e7e7e7;
    color: var(--second-Webcolor)
}

/* End aside css  */

/* start blog div css */
.blog-div img {
    width: 100%;
    aspect-ratio: 1/1;
    object-fit: contain;
    display: flex;
    justify-content: center;
    align-items: center;
}

.blog-div .last-iamge {
    margin-left: auto;
    margin-right: auto;
    width: 80%;
}

.blog-div .last-iamge::before {
    height: 80%;
    top: 40px;
}

.blog-div .last-iamge::after {
    height: 80%;
    top: 40px;
}

.blog-div a {
    position: relative;
}

.bloge-title {
    -webkit-line-clamp: 1;
    display: -webkit-box;
    overflow-y: clip;
    -webkit-box-orient: vertical;
    position: absolute;
    background-color: var(--main-Webcolor);
    color: white;
    padding: 3px 10px;
    border-radius: 5px;
    top: 68%;
    width: 75%;
    left: 12.5%;
}

.blog-div p {
    -webkit-line-clamp: 4;
    display: -webkit-box;
    overflow-y: clip;
    -webkit-box-orient: vertical;
    margin-bottom: 0;
    color: #333;
}

/* End blog div css */

/* start readmore-btn  css*/


.readmore-btn {
    width: 6.5em;
    height: 2.3em;
    margin: 0.5em;
    background: var(--second-Webcolor);
    color: white;
    border: none;
    border-radius: 0.625em;
    cursor: pointer;
    position: relative;
    z-index: 1;
    overflow: hidden;
    border: 1px solid var(--second-Webcolor);
}

.readmore-btn:hover {
    color: var(--second-Webcolor);
}

.readmore-btn:after {
    content: "";
    background: white;
    position: absolute;
    z-index: -1;
    left: -20%;
    right: -20%;
    top: 0;
    bottom: 0;
    transform: skewX(-45deg) scale(0, 1);
    transition: all 0.5s;
}

.readmore-btn:hover:after {
    transform: skewX(-45deg) scale(1, 1);
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
}

/* End readmore-btn css */




/* single blog */
.main-section {
    background-image: url(./../../images/blog-bg.webp);
    background-position: center;
    height: 500px;
    background-size: 100% auto;
    display: flex;
    align-items: center;
}

@media (max-width: 768px) {
    .main-section {
        height: auto;
        background-image: url("./../../images/projects-bg.png") !important;
    }

    .main-section .des {
        color: #333 !important;
    }

    .head-loader span:nth-child(1) {
        -webkit-text-stroke: 1px var(--main-Webcolor) !important;
    }
}

/* start  head-loader   */
.head-loader {
    position: relative;
}

.head-loader span {
    position: absolute;
    color: #fff;
    /* transform: translate(0%, -50%); */
    font-size: 40px;
    letter-spacing: 0;
    white-space: nowrap;
    font-family: BigVesta;
}

.head-loader span:nth-child(1) {
    color: transparent;
    -webkit-text-stroke: 1px #fff;
}

.blog-info .head-loader span:nth-child(1) {
    -webkit-text-stroke: 1px var(--main-Webcolor) !important;
}

.head-loader span:nth-child(2) {
    color: var(--second-Webcolor);
    -webkit-text-stroke: 1px var(--second-Webcolor);
    animation: uiverse723 3s ease-in-out infinite;
}

@keyframes uiverse723 {

    0%,
    100% {
        clip-path: polygon(0% 45%,
                15% 44%,
                32% 50%,
                54% 60%,
                70% 61%,
                84% 59%,
                100% 52%,
                100% 100%,
                0% 100%);
    }

    50% {
        clip-path: polygon(0% 60%,
                16% 65%,
                34% 66%,
                51% 62%,
                67% 50%,
                84% 45%,
                100% 46%,
                100% 100%,
                0% 100%);
    }
}

/* end  head-loader   */
.main-section .des {
    text-align: justify;
    color: white;
}

/* start single-blog */
.single-blog .img img {
    height: 400px;
    aspect-ratio: 1/1;
    object-fit: contain;
    width: 100%;
}

/* start share */
.single-blog .share {
    transform: translateY(-50%);
    background: white;
}

.btn-share {
    /* padding: 0.8em 1.8em; */
    border: 2px solid var(--second-Webcolor);
    position: relative;
    overflow: hidden;
    background-color: transparent;
    text-align: center;
    text-transform: uppercase;
    font-size: 16px;
    transition: 0.3s;
    z-index: 1;
    color: var(--second-Webcolor);
}

.btn-share::before {
    content: "";
    width: 0;
    height: 300%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(45deg);
    background: var(--second-Webcolor);
    transition: 0.5s ease;
    display: block;
    z-index: -1;
}

.btn-share:hover::before {
    width: 105%;
}

.btn-share:hover {
    color: #111;
}

/* end share */

/* start link-share  */
.link-share {
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    background-color: transparent;
    position: relative;
    border-radius: 7px;
    cursor: pointer;
    transition: all 0.3s;
    padding: 0;
}

.svgContainer {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    backdrop-filter: blur(0px);
    letter-spacing: 0.8px;
    border-radius: 10px;
    transition: all 0.3s;
    border: 1px solid rgba(156, 156, 156, 0.466);
    color: white;
    font-size: 15px;
}

.link-share .BG {
    position: absolute;
    content: "";
    width: 100%;
    height: 100%;
    background: #1877f2;
    z-index: -1;
    border-radius: 10px;
    pointer-events: none;
    transition: all 0.3s;
}

.link-share.link-whatsapp .BG {
    background: #25d366;
}

.link-share.link-twitter .BG {
    background: #1da1f2;
}

.link-share.link-linkedin .BG {
    background: #0077b5;
}

.link-share:hover .BG {
    transform: rotate(35deg);
    transform-origin: bottom;
}

.link-share:hover .svgContainer {
    border: 1px solid rgba(230, 230, 230, 0.466);
    background-color: rgba(204, 204, 204, 0.466);
    backdrop-filter: blur(4px);
}

/* end link-share  */

/* blog-info  */
.blog-info .head {
    color: #333;
    position: relative;
    width: fit-content;
    background-color: white;
}

.blog-info .head::before {
    position: absolute;
    content: "";
    width: 15px;
    height: 15px;
    background-color: var(--second-Webcolor);
    bottom: -10px;
    right: 0;
    transform: translate(0, 10px);
}

.blog-info .head::after {
    position: absolute;
    content: "";
    width: 100%;
    height: 3px;
    background-color: var(--second-Webcolor);
    bottom: -5px;
    right: 0;
    transform: translate(0, 10px);
}

.blog-info ul {
    list-style-type: none;
}

.blog-info li {
    position: relative;
}

/* .pagination::before {
    content: "";
    position: absolute;
    background-color: var(--main-Webcolor) !important;
    width: 10px;
    height: 10px;
    right: -20px;
    top: 0;
    box-shadow: #fff -5px 5px 0, var(--second-Webcolor) -5px 5px 0px 1px;
    transform: translate(100%, 50%);
    transition: 0.5s ease;
} */

.blog-info li:hover::before {
    box-shadow: #fff 10px 5px 1px, var(--second-Webcolor) -10px 10px 0px 1px;
}

.blog-info .blog-content {
    border: 2px dashed var(--main-Webcolor) !important;
    padding: 10px;
    border-radius: 10px;
    position: relative;
}

.blog-info .blog-content .des {
    background-color: #e9ecef;
    padding: 10px;
    border-radius: 10px;
    line-height: 2;
    font-weight: bold;
    text-align: justify;
    margin-bottom: 0;
}

.blog-info .blog-content i {
    font-size: 50px;
    color: var(--main-Webcolor) !important;
    position: absolute;
    right: 10px;
    top: -30px;
}

/* فقرات المقالات */
.blog-info .card-service {
    border-left: 2px dashed var(--main-Webcolor) !important;
}

.blog-info .card-service .img {
    width: 250px;
    height: 250px;
    aspect-ratio: 1/1;
    object-fit: cover;
}

.blog-info .card-service .position-relative {
    width: 250px;
    height: 250px;
    margin: auto;
}

.blog-info .card-service .position-relative::after,
.blog-info .card-service .position-relative::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 100%;
    bottom: 0;
    right: 0;
    z-index: -1;
    transition: 0.5s;
}

.blog-info .card-service .position-relative::before {
    transform: scale(1.1);
    border-right: 3px solid var(--second-Webcolor);
    border-left: 3px solid var(--second-Webcolor);
}

.blog-info .card-service .position-relative::after {
    transform: scaleX(1.2) scaleY(1.05);
    border-top: 3px solid var(--second-Webcolor);
    border-bottom: 3px solid var(--second-Webcolor);
}

.blog-info .card-service:hover .position-relative::before {
    transform: scale(1.2);
}

.blog-info .card-service:hover .position-relative::before {
    transform: scale(1.1);
}

.blog-info .card-service:hover .position-relative::after {
    transform: scaleX(1.2) scaleY(1.1);
}

.blog-info .card-service .name {
    background-color: var(--main-Webcolor) !important;
    color: white;
}

.blog-info .card-service .des {
    text-align: justify;
}

/* end single-blog */




/* start sidebar */
.sidebar .sidebar-head {
    background-color: #f9f4f4;
    text-align: center;
    box-shadow: -6px 6px #e7e7e7;
}

.blog .card .img,
.sidebar .item .img {
    width: 80px;
    height: 80px;
    aspect-ratio: 1/1;
    object-fit: cover;
}

.blog .card .position-relative,
.sidebar .item .position-relative {
    width: 80px;
    height: 80px;
    margin: auto;
}

.blog .card .position-relative::after,
.blog .card .position-relative::before,
.sidebar .item .position-relative::after,
.sidebar .item .position-relative::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 100%;
    bottom: 0;
    right: 0;
    z-index: -1;
    transition: 0.5s;
}

.blog .card .position-relative::before,
.sidebar .item .position-relative::before {
    transform: scale(1.1);
    border-right: 3px solid var(--second-Webcolor);
    border-left: 3px solid var(--second-Webcolor);
    z-index: 1;
}

.blog .card .position-relative::after,
.sidebar .item .position-relative::after {
    transform: scaleX(1.2) scaleY(1.05);
    border-top: 3px solid var(--second-Webcolor);
    border-bottom: 3px solid var(--second-Webcolor);
    z-index: 1;
}

.card:hover .position-relative::before,
.sidebar .item:hover .position-relative::before {
    transform: scale(1.2);
}

.card:hover .position-relative::before,
.sidebar .item:hover .position-relative::before {
    transform: scale(1.1);
}

.card:hover .position-relative::after,
.sidebar .item:hover .position-relative::after {
    transform: scaleX(1.2) scaleY(1.1);
}

@media (max-width: 567px) {

    .blog .card .position-relative,
    .sidebar .item .position-relative {
        height: 146px !important;
    }
}

.sidebar .head,
.sidebar .des {
    -webkit-line-clamp: 1;
    display: -webkit-box;
    overflow-y: clip;
    -webkit-box-orient: vertical;
    background: white;
}

.sidebar .des {
    -webkit-line-clamp: 2;
    font-family: Questv1;
    color: #636262;
}

.sidebar .item {
    border-bottom: 1px solid var(--main-Webcolor) !important;
}

/* tags */

.btn-tags {
    --color: #7f7e7e;
    background-color: transparent;
    border-radius: 0.3em;
    position: relative;
    overflow: hidden;
    cursor: pointer;
    transition: 0.5s;
    border: 1px solid;
    font-size: 16px;
    text-transform: uppercase;
    color: var(--color);
    z-index: 1;
}

.btn-tags::before,
.btn-tags::after {
    content: "";
    display: block;
    width: 50px;
    height: 50px;
    transform: translate(-50%, -50%);
    position: absolute;
    border-radius: 50%;
    z-index: -1;
    background-color: var(--second-Webcolor);
    transition: 1s ease;
}

.btn-tags::before {
    top: -1em;
    left: -1em;
}

.btn-tags::after {
    left: calc(100% + 1em);
    top: calc(100% + 1em);
}

.btn-tags:hover::before,
.btn-tags:hover::after {
    height: 410px;
    width: 410px;
}

.btn-tags:hover {
    color: rgb(10, 25, 30);
}

.btn-tags:active {
    filter: brightness(0.8);
}

/* end tags */
/* end sidebar */



/* end sidebar */
